<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">

		<!-- Responsive Meta Tag -->
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- Bootstrap CSS Link-->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

		<title>Bootstrap Flex</title>
	</head>
	<body>
		<!-- Start of Container Fluid -->
		<div class="container-fluid text-center">
			<!-- Start of Creating Space Between Elements -->
			<h2>Creating Space Between Elements</h2>
			<div class="bg-dark p-2 d-md-flex justify-content-around">
				<div class="pl-5 pr-5 pt-2 pb-2 bg-success">Card A</div>
				<div class="pl-5 pr-5 pt-2 pb-2 bg-warning">Card B</div>
				<div class="pl-5 pr-5 pt-2 pb-2 bg-danger">Card C</div>
			</div>
			<!-- End of Creating Space Between Elements -->

			<!-- Start of Flex Box With Margin -->
			<h2>Flex Box With Margin</h2>
			<div class="bg-dark p-2 d-flex flex-row">
				<div class="mr-auto p-2 bg-success">Flex Item A</div>
				<div class="p-2 bg-warning">Flex Item B</div>
				<div class="p-2 bg-danger">Flex Item C</div>
				<div class="p-2 bg-primary">Flex Item D</div>
			</div>
			<!-- End of Flex Box With Margin -->

			<!-- Start of Nested Flex Elements -->
			<h2>Nested Flex Elements</h2>
			<div class="bg-dark p-2 d-md-flex justify-content-between">
				<div class="p-2 bg-success">Flex Item A</div>
				<div class="w-50 d-md-flex justify-content-between">
					<div class="p-2 bg-warning">Flex Item B</div>
					<div class="p-2 bg-danger">Flex Item C</div>
					<div class="p-2 bg-primary">Flex Item D</div>
				</div>
			</div>
			<!-- End of Nested Flex Elements -->
		</div>
		<!-- End of Container Fluid -->

        <!-- Bootstrap JS Links -->
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
    </body>
</html>